# Classify unstructured text using Named Entity Recognition (/docs/api-reference/llm-classifier/named-entity-recognition)

Classify a given text array input using the LLM classifier

## POST /classify/unstructured-text

```json
{
  "servers": [
    {
      "url": "https://multi-tenant.sombra.transcend.io",
      "description": "Multi-tenant (EU)"
    },
    {
      "url": "https://multi-tenant.sombra.us.transcend.io",
      "description": "Multi-tenant (US)"
    },
    {
      "description": "Self-hosted",
      "url": "https://_yourOrganizationSombraURL_.com"
    },
    {
      "description": "Preference Store in Europe",
      "url": "https://consent.transcend.io"
    },
    {
      "description": "Preference Store in the U.S.",
      "url": "https://consent.us.transcend.io"
    },
    {
      "description": "Rules Automation webhook ingestion (EU)",
      "url": "https://rule-automation.transcend.io"
    },
    {
      "description": "Rules Automation webhook ingestion (US)",
      "url": "https://rule-automation.us.transcend.io"
    }
  ],
  "security": [
    {
      "Transcend_API_Key": [],
      "Sombra_Token": [],
      "Transcend_API_Key_If_Multitenant": []
    }
  ],
  "operation": {
    "summary": "Classify unstructured text using Named Entity Recognition",
    "tags": [
      "LLM classifier"
    ],
    "responses": {
      "200": {
        "description": "Input was classified successfully. Responds with the classification result from the NER classifier for each input.",
        "content": {
          "application/json": {
            "schema": {
              "type": "object",
              "required": [
                "guesses"
              ],
              "properties": {
                "guesses": {
                  "description": "The list of classifications for each input",
                  "type": "array",
                  "items": {
                    "description": "Each input's top labels, ranking from best to worst",
                    "type": "array",
                    "items": {
                      "type": "object",
                      "properties": {
                        "type": {
                          "type": "string",
                          "description": "Label that the input is classified into"
                        },
                        "classifierVersion": {
                          "type": "number",
                          "description": "Integer encoded classifier version derived from the classifier image version (e.g., 3.3.2 → 30302)."
                        },
                        "classificationMethod": {
                          "type": "string",
                          "description": "The classification method used, which will always be the LLM classifier in this case"
                        },
                        "value": {
                          "type": "string",
                          "description": "The entity that was classified"
                        },
                        "snippet": {
                          "type": "string",
                          "description": "The context snippet (associated with the value that was classified)"
                        }
                      }
                    }
                  }
                }
              }
            },
            "examples": {
              "The result of passing in two inputs for classification": {
                "value": {
                  "guesses": [
                    [
                      {
                        "type": "Personal Identifier",
                        "classifierVersion": 30302,
                        "classificationMethod": "TRANSCEND_LLM_CLASSIFY",
                        "value": "05179687877722385190",
                        "snippet": "\"userId\":\"05179687877722385190\""
                      }
                    ],
                    [
                      {
                        "type": "Medical",
                        "classifierVersion": 30302,
                        "classificationMethod": "TRANSCEND_LLM_CLASSIFY",
                        "value": "15179687877722385199",
                        "snippet": "Medical ID: 15179687877722385199"
                      },
                      {
                        "type": "Personal Identifier - User ID",
                        "classifierVersion": 30302,
                        "classificationMethod": "TRANSCEND_LLM_CLASSIFY",
                        "value": "15179687877722385199",
                        "snippet": "Medical ID: 15179687877722385199"
                      },
                      {
                        "type": "Not Personal Data",
                        "classifierVersion": 30302,
                        "classificationMethod": "TRANSCEND_LLM_CLASSIFY",
                        "value": "15179687877722385199",
                        "snippet": "Medical ID: 15179687877722385199"
                      }
                    ]
                  ]
                }
              }
            }
          }
        }
      },
      "400": {
        "description": "While this request passed authentication, the input is malformed. Please double-check that your code conforms to our API specification.",
        "headers": {},
        "content": {
          "application/json": {
            "schema": {
              "description": "",
              "type": "object",
              "properties": {}
            }
          }
        }
      },
      "401": {
        "description": "There was a problem authenticating your request. This may be an issue with the Transcend API key (\"authorization\" header), or the Sombra API key (\"x-sombra-authorization\" header used for self-hosted gateways only).",
        "headers": {},
        "content": {
          "application/json": {
            "schema": {
              "description": "",
              "type": "object",
              "properties": {}
            }
          }
        }
      },
      "413": {
        "description": "The request body is too large. JSON and raw bodies must be less than 50MB. URL encoded bodies must be less than 30MB.",
        "headers": {},
        "content": {
          "application/json": {
            "schema": {
              "description": "",
              "type": "object",
              "properties": {}
            }
          }
        }
      },
      "429": {
        "description": "You are sending requests too quickly and have hit our rate limit. If you hit this, you'll need to throttle your request velocity or try again later.",
        "headers": {
          "Retry-After": {
            "description": "The number of seconds to wait before retrying.",
            "schema": {
              "type": "integer"
            }
          },
          "X-RateLimit-Limit": {
            "description": "The maximum number of requests allowed in the time window.",
            "schema": {
              "type": "integer"
            }
          },
          "X-RateLimit-Remaining": {
            "description": "The number of requests remaining in the time window.",
            "schema": {
              "type": "integer"
            }
          },
          "X-RateLimit-Reset": {
            "description": "The time at which the rate limit will reset.",
            "schema": {
              "type": "integer"
            }
          }
        },
        "content": {
          "application/json": {
            "schema": {
              "description": "",
              "type": "object",
              "properties": {}
            }
          }
        }
      },
      "500": {
        "description": "A 5xx error means there is either an issue with your self-hosted gateway, or a Transcend server is having issues. You check our system status at status.transcend.io. Please reach out to Transcend support if you're experiencing this error.",
        "headers": {},
        "content": {
          "application/json": {
            "schema": {
              "description": "",
              "type": "object",
              "properties": {}
            }
          }
        }
      },
      "502": {
        "description": "An upstream service on Transcend's side is having issues. You check our system status at status.transcend.io. Please reach out to Transcend support if you're experiencing this error.",
        "headers": {},
        "content": {
          "application/json": {
            "schema": {
              "description": "",
              "type": "object",
              "properties": {}
            }
          }
        }
      }
    },
    "operationId": "named-entity-recognition",
    "description": "Classify a given text array input using the LLM classifier",
    "security": [
      {
        "Transcend_API_Key": []
      }
    ],
    "parameters": [
      {
        "$ref": "#/components/parameters/authorization"
      },
      {
        "$ref": "#/components/parameters/x-sombra-authorization"
      },
      {
        "$ref": "#/components/parameters/content-type-application-json"
      }
    ],
    "requestBody": {
      "content": {
        "application/json": {
          "schema": {
            "description": "",
            "type": "object",
            "properties": {
              "inputList": {
                "type": "array",
                "description": "List of inputs to classify",
                "uniqueItems": true,
                "minItems": 1,
                "items": {
                  "type": "string"
                }
              },
              "labels": {
                "type": "array",
                "description": "The list of labels to classify against",
                "uniqueItems": true,
                "minItems": 1,
                "items": {
                  "type": "string"
                }
              }
            },
            "required": [
              "inputList",
              "labels"
            ]
          },
          "examples": {
            "Basic Example": {
              "value": {
                "inputList": [
                  "\"userId\":\"05179687877722385190\"",
                  "Medical ID: 15179687877722385199",
                  "transcend user ID"
                ],
                "labels": [
                  "Personal Identifier",
                  "Medical",
                  "Generic Personal Information"
                ]
              }
            }
          }
        }
      }
    }
  }
}
```